Loading...
Searching...
No Matches
assetmgrmodel::AssetStrip Interface Reference

Asset Management Strip interface. More...

## Classes

struct | BladeOverflowChangedEvent
| Event: Tag overflow. More...
struct | CompositionChangedEvent
| Event: Strip composition has changed. More...
struct | DeviceInfo
| Static (type, version) information for an AssetStrip. More...
struct | FirmwareUpdateStateChangedEvent
| Event: Firmware update on main strip was started or has finished. More...
struct | OrientationChangedEvent
| Event: Detected strip orientation has changed. More...
struct | RackUnitChangedEvent
| Event: A rack unit has changed. More...
struct | RackUnitInfo
| Infos for a single rack unit. More...
struct | StateChangedEvent
| Event: Asset strip state has changed. More...
struct | StripInfo
| Dynamic (may change with a connected strip) information for an AssetStrip. More...
struct | StripInfoChangedEvent
| Event: Asset strip dynamic information has changed. More...
struct | TagAddedEvent
| Event: A tag was added. More...
struct | TagChangeInfo
| Information describing a tag change. More...
struct | TagEvent
| Event: A tag was added or removed. More...
struct | TagInfo
| Information for a single tag. More...
struct | TagRemovedEvent
| Event: A tag was removed. More...

## Public Types

enum | State { DISCONNECTED , FIRMWARE_UPDATE , UNSUPPORTED , AVAILABLE }
| AssetStrip state More...
enum | TagType { SINGLE , EXTENSION , NONE }
| Type of an asset tag connected to a rack unit. More...
enum | CascadeState { CASCADE_ACTIVE , CASCADE_FIRMWARE_UPDATE }
| For composite asset strips CascadeState shows additional information about the state of the complete cascade. More...
enum | FirmwareUpdateState { UPDATE_STARTED , UPDATE_SUCCESSFUL , UPDATE_FAILED }
| Enumeration: State of firmware update. More...

## Public Member Functions

State | getState ()
| Get the current state of the AssetStrip. More...
DeviceInfo | getDeviceInfo ()
| Get static (hardware and firmware) information. More...
StripInfo | getStripInfo ()
| Get dynamic (number of tags) information. More...
int | getRackUnitInfo (in int rackUnitNumber, out RackUnitInfo info)
| Get info with all settings of a rack unit at once. More...
vector< RackUnitInfo > | getAllRackUnitInfos ()
| Get infos with settings for all rack units. More...
int | getTag (in int rackUnitNumber, in int slotNumber, out TagInfo tagInfo)
| Get the asset tag for a rack unit. More...
vector< TagInfo > | getAllTags ()
| Get all asset tags of the strip. More...
vector< TagInfo > | getMainTags ()
| Get all asset tags on the main strip. More...
int | getExtensionTags (in int rackUnitNumber, out vector< TagInfo > tags)
| Get all asset tags on an extension. More...
void | triggerPowercycle (in boolean hard)
| Trigger a powercycle of either the whole asset strip port or the LED part power supply on the asset strip. More...
int | programTagIDs (in vector< TagInfo > tagInfos)
| Program custom tag IDs. More...
FirmwareUpdateState | getFirmwareUpdateState ()
| Retrieve state of firmware update on main strip. More...

## Public Attributes

constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_PARAM = 1
| Invalid parameter for an operation.
constant int | ERR_NO_SUCH_OBJECT = 2
| Requested object does not exist.
constant int | ERR_NOT_SUPPORTED = 3
| Requested operation is not supported.
constant int | ERR_OPERATION_FAILED = 4
| Operation did not succeed.
constant int | MAIN_STRIP_COLUMN = 0
| Constants.

## Detailed Description

Asset Management Strip interface.

## Member Enumeration Documentation

## CascadeState

enum assetmgrmodel::AssetStrip::CascadeState

For composite asset strips CascadeState shows additional information about the state of the complete cascade.

Enumerator
CASCADE_ACTIVE | cascade is up and running
CASCADE_FIRMWARE_UPDATE | a device in the cascade receives a firmware update

## FirmwareUpdateState

enum assetmgrmodel::AssetStrip::FirmwareUpdateState

Enumeration: State of firmware update.

Enumerator
UPDATE_STARTED | Update is running.
UPDATE_SUCCESSFUL | Update was completed successfully.
UPDATE_FAILED | Update has failed.

## State

enum assetmgrmodel::AssetStrip::State

AssetStrip state

Enumerator
DISCONNECTED | No strip connected.
FIRMWARE_UPDATE | Firmware update in progress on main strip.
UNSUPPORTED | Connected asset strip is unsupported.
AVAILABLE | Asset strip is up and running normally.

## TagType

enum assetmgrmodel::AssetStrip::TagType

Type of an asset tag connected to a rack unit.

Enumerator
SINGLE | single asset tag connected to main strip or an extension
EXTENSION | blade server extension, only possible on the main strip
NONE | no asset tag connected to main strip or an extension

## Member Function Documentation

## getAllRackUnitInfos()

vector< RackUnitInfo > assetmgrmodel::AssetStrip::getAllRackUnitInfos | ( |  | ) |

Get infos with settings for all rack units.

Returns
  Result: the rack unit infos with settings

## getAllTags()

vector< TagInfo > assetmgrmodel::AssetStrip::getAllTags | ( |  | ) |

Get all asset tags of the strip.

Please note that in case there is not a single tag connected to the strip the resulting list will be empty, only connected tag info structures are returned It is guaranteed that extensions on the main strip are returned before any tag on an extension itself.

Returns
  Result: list asset tag infos

## getDeviceInfo()

DeviceInfo assetmgrmodel::AssetStrip::getDeviceInfo | ( |  | ) |

Get static (hardware and firmware) information.

Returns
  Result: hardware and firmware information

## getExtensionTags()

int assetmgrmodel::AssetStrip::getExtensionTags | ( | in int | rackUnitNumber,
|  | out vector< TagInfo > | tags
| ) |  |

Get all asset tags on an extension.

Gets all tags on a single extension for a certain rack unit. List will be empty if there are no tags connected

Parameters

  rackUnitNumber | rack unit index to get the extension tags for, range 0..rackUnitCount-1
  tags | Result: list asset tag infos

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM rack unit count exceeded or rack unit does not contain an extension

## getFirmwareUpdateState()

FirmwareUpdateState assetmgrmodel::AssetStrip::getFirmwareUpdateState | ( |  | ) |

Retrieve state of firmware update on main strip.

Returns
  asset strip firmware update state

## getMainTags()

vector< TagInfo > assetmgrmodel::AssetStrip::getMainTags | ( |  | ) |

Get all asset tags on the main strip.

Same as getAllTags, but only consider tags connected to the main asset strip and not on any connected extension. Extensions on the main strip themselves are returned.

Returns
  Result: list asset tag infos

## getRackUnitInfo()

int assetmgrmodel::AssetStrip::getRackUnitInfo | ( | in int | rackUnitNumber,
|  | out RackUnitInfo | info
| ) |  |

Get info with all settings of a rack unit at once.

Parameters

  rackUnitNumber | rack unit index to get the info for, range 0..rackUnitCount-1
  info | Result: info for this rack unit

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM rack unit count exceeded

## getState()

State assetmgrmodel::AssetStrip::getState | ( |  | ) |

Get the current state of the AssetStrip.

Returns
  State of the Asset Strip

## getStripInfo()

StripInfo assetmgrmodel::AssetStrip::getStripInfo | ( |  | ) |

Get dynamic (number of tags) information.

Returns
  Result: tag related information

## getTag()

int assetmgrmodel::AssetStrip::getTag | ( | in int | rackUnitNumber,
|  | in int | slotNumber,
|  | out TagInfo | tagInfo
| ) |  |

Get the asset tag for a rack unit.

Parameters

  rackUnitNumber | rack unit index to read the asset tag for, range 0..rackUnitCount-1
  slotNumber | slot to read the asset tag for, 0 for the main strip, >0 for blades
  tagInfo | Result: asset tag information

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM rack unit count exceeded or colum not existing
  ERR_NO_SUCH_OBJECT no tag connected to this rack unit

## programTagIDs()

int assetmgrmodel::AssetStrip::programTagIDs | ( | in vector< TagInfo > | tagInfos | ) |

Program custom tag IDs.

Asset tags of type AMT-P may be programmed by user (custom ID). This method takes a list of (rack unit index, slot number, id) tuples that determine which connected tag should be programmed with which ID. TagInfo::rawId specifies the ID. An empty string erases the current custom ID which brings back the original 1-wire ID. Set TagInfo::slotNumber to 0 for tags on main strip and > 0 for blades. TagInfo::familyDesc and TagInfo::programmable are ignored.

Parameters

  tagInfos | vector of tag information that will be programmed

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM rack unit out of bounds or custom ID too long
  ERR_NO_SUCH_OBJECT rack unit does not exist or has no tag
  ERR_NOT_SUPPORTED tag is not programmable
  ERR_OPERATION_FAILED programming failed

## triggerPowercycle()

void assetmgrmodel::AssetStrip::triggerPowercycle | ( | in boolean | hard | ) |

Trigger a powercycle of either the whole asset strip port or the LED part power supply on the asset strip.

Parameters

  hard | true=whole port, false=LEDs only

## Member Data Documentation

## NO_ERROR

constant int assetmgrmodel::AssetStrip::NO_ERROR = 0

Error codes.

Operation successful, no error

The documentation for this interface was generated from the following file:

- AssetStrip.idl